### File

`packages/ecl/components/ecl-feedback-message/ecl-feedback-message.directive.ts`

### Description

Directive that renders a feedback message following the ECL design system. It automatically styles its content and nested icon components accordingly.

Should be applied to a container element that wraps a feedback message.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclFeedbackMessage]`

### Index

###### Properties
eclIconComponents
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the appropriate ECL feedback message CSS class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclIconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined)`
Queries all nested `EclIconComponent` instances inside the host element. These icons will receive the `ecl-feedback-message__icon` styling class.

### Accessors

cssClasses
get `cssClasses()`
Applies the appropriate ECL feedback message CSS class to the host element. Returns : `string`

# results matching ""

# No results matching ""